Project

General

Profile

Bug #2016

build gpg extension to use monkeysphere to validate hkps queries

Added by dkg almost 10 years ago. Updated about 9 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
msva-perl
Target version:
Start date:
03/13/2010
Due date:
% Done:

0%


Description

gpg can query keyservers via plugin modules dropped into /usr/lib/gnupg/gpgkeys_PROTO

we should provide such a plugin that uses the monkeysphere to validate the certificate of the hkps keyserver.

Note that this could cause a nasty recursive query if we're not careful.

History

#1 Updated by dkg over 9 years ago

  • Category set to msva-perl

If we get this working, it should query the MSVA for its own authentication (though see caveats in #2542).

So I think this should ship with the msva-perl at the moment -- if another msva catches up, we can move this extension out into its own package.

#2 Updated by dkg about 9 years ago

  • Target version set to msva-perl-0.7

#3 Updated by dkg about 9 years ago

  • Status changed from New to Resolved

this is now available in my personal git repo as commit 2963a84.

I've updated debian packaging for msva-perl as well, in my debian branch. I invite testers.

I think this feature is sweet enough to warrant a new release of msva-perl, but i'd love feedback before i go ahead and roll one out.

Also available in: Atom PDF